package com.tofly.xrtygis.custom.service;

import com.tofly.xrtygis.entity.Costprestation;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 * 加压站相关
 */

public interface CosTprStationService {

    /**
     * 添加加压站信息
     *
     * @param station 加压站指标填报信息
     * @return true of false
     */
    boolean insertInfo(Costprestation station);

    /**
     * 删除填报信息
     *
     * @param ids ids
     * @return true of false
     */
    boolean deleteInfo(String ids);

    /**
     * 修改加压站信息
     *
     * @param station 加压站信息
     * @return true of false
     */
    boolean updateInfo(Costprestation station);

    /**
     * 查看加压站信息
     *
     * @param month 月份
     * @return map
     */
    Map<String, Object> viewInfo(Long preId,String month);


    /**
     * 获取所有测站名称
     * @return list
     */
    List<String> getPreName();

    /**
     * 获取测站指标的各项值
     * @param month 月份
     * @return list
     */
    List<Map<String,Object>> getPreValue(String month,Long pcid);


}
